Bug 55626 - wrong driver gets loaded for Orinoco cards
wrong driver gets loaded for Orinoco cards
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-02 21:22 EST by Jürgen Botz
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 03:12:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jürgen Botz 2001-11-02 21:22:22 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5+) Gecko/20011031

Description of problem:
For reasons that are unclear RH 7.2 includes both the kernel-provided
(current) and pcmcia-cs provided (outdated) drivers for Orinoco (Lucent)
wireless cards.  The standard config file, /etc/pcmcia/config causes the
outdated wvlan_cs driver to be loaded.  This driver has many problems and
doesn't work at all on some hardware.  The current driver is called
"orinoco_cs" and works in conjunction with lower-level "hermes" chipset
driver.  These are included in recent kernels.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure eth0 for a Lucent/Orinoco wireless card
2.Insert Card
3.

Actual Results:  outdated wvlan_cs driver is loaded

Expected Results:  new orinoco_cs driver from kernel sources should get
loaded, along with hermes.o lower level driver for hermes chipset

Additional info:

This can be trivially fixed by dropping the file
http://ozlabs.org/people/dgibson/dldwd/hermes.conf in the /etc/pcmcia
directory.  This file includes bindings for the appropriate cards to the
newer drivers which override the ones in /etc/pcmcia/config
Comment 1 Arjan van de Ven 2001-11-03 13:11:09 EST
both drivers work with a subset of the cards out there; together they seem to
cover 100% (or close enough to 100%).
All new ID's are already using the orinico_cs; only the ones that used wvlan_cs
in RHL 7.1 are still using the same driver in order to not break upgrades.
Comment 2 Jürgen Botz 2001-11-05 12:11:16 EST
Ok, I understand that argument... but the fact is that the new drivers works
much better and on platforms with the widely used Lucent cards.  Specifically I
reported this bug when I found that the old driver did not work on a standard
Lucent card on a new Toshiba Portege.  (The same card worked fine with the old
driver on an IBM.)  Shouldn't we change the card mappings to at least load the
new driver on those cards where it's known to work?
Comment 3 Arjan van de Ven 2001-11-05 12:14:43 EST
Yes that's the plan; new ones and cards that don't work (well) with the current
driver will be changed; can you please attach the "cardctl ident" of your
non-working card so I can change that one?
Comment 4 Jürgen Botz 2001-11-05 12:23:18 EST
I'll try to give you the 'cardctl ident' for the actual card on the actual
machine later doday, but it's a standard Lucent (Orinoco) card which works fine
with both drivers on many machines... but on at least the Toshiba Portege it
ONLY works with the new driver.  I would say that for the Lucent/Orinoco cards
the default should be the new driver... I have not enountered a case where the
new driver doesn't work with these cards, and I've had numerous problems with
boundary cases with the old driver.  I use these cards extensively and have used
them on IBM, Dell, Sony, NEC, and now Toshiba laptops.

Note You need to log in before you can comment on or make changes to this bug.